Description

We are collecting views and download indicators for OpenAIRE, I would like to use them for us also. 

We should have in the splash page of each item a banner with views and downloads ... something like Zenodo (see screenshot). 

In addition to that, we should have two more graphs:

total views by year;

total downloads by year;

In the screenshot see the OpenAIRE graphs (they report monthly data).  

History

#1 - Oct 14, 2022 11:01 AM - Leonardo Candela

I would say that the visibility is no longer an issue, data on downloads and views are made publicly available by OpenAIRE.

The point to be discussed are:

do we have and maintain the data we provide to OpenAIRE by Matomo?

apart from the aggregated data, do we have per item views and downloads? We do provide OpenAIRE with these data yet I don't know whether

we keep it or not;

in case we keep it I'll  considering adding two "proprietary" metrics reporting the per item download and views registered by the open portal

instance

#2 - Oct 14, 2022 01:57 PM - Andrea Dell'Amico

Leonardo Candela wrote in #note-1:

I would say that the visibility is no longer an issue, data on downloads and views are made publicly available by OpenAIRE.

The point to be discussed are:

do we have and maintain the data we provide to OpenAIRE by Matomo?

 We have them but we also remove them regularly: what we upload to matomo is data extracted from the web server access logs, notihing else.

#3 - Oct 14, 2022 07:22 PM - Leonardo Candela

We should think about this and define a strategy to keep access data forewer. 

Is it possible to leverage matomo for having back the data? 

#4 - Jul 12, 2023 04:08 PM - Leonardo Candela

- File Screenshot 2023-07-12 at 16.06.49.png added

- Subject changed from Add new graphs on Views and Downloads  to Support indicators on Views and Downloads 

- Description updated

- Priority changed from Normal to High

Just changed the description to make it more clear. 

#5 - Jul 12, 2023 04:11 PM - Leonardo Candela
- File Screenshot 2023-07-12 at 16.10.24.png added

- Description updated

#6 - Mar 25, 2025 11:44 AM - Luca Frosini

- Target version changed from ISTI Open Portal Tasks to To Be Planned

Files

Screenshot 2023-07-12 at 16.06.49.png 30 KB Jul 12, 2023 Leonardo Candela

Screenshot 2023-07-12 at 16.10.24.png 131 KB Jul 12, 2023 Leonardo Candela
